Kinetic Void > General Discussions > Topic Details
ShadowMC Feb 15 @ 1:52am
As much as I love KV, Patch D9 Was a silly idea.
Ok, say you have a downloaded ship from the Workshop that you want to try out, but it says it needs more power I've had that so far on ALL Workshop Ships. I hope someonetakes notice of this because NOW, launching ships is a lot harder for me. I do hope one of the KV Makers takes notice of this cos I think they need to do some twerking come the next Development Patch.
Showing 1-4 of 4 comments
< >
Tanvaras Feb 15 @ 2:22am 
I haver recently uploaded ships to the workshop which I also note on what patch they were for. But this will happen as the alpha progresses and changes/balances are made.

One would hope maybe that those who have uploaded ships to workshop would update them so they continue to work in newer versions of the game.
ShadowMC Feb 15 @ 2:23am 
Oh, I see. So Workshop Ships can become outdated. That explains a few things. Thanks
Kaypix  [developer] Feb 15 @ 8:26am 
Hey guys, just jumping in this morning. Yes, workshop ships can become outdated. What we were finding is that the Power requirement was not hooked up in the patches prior to D9 (or maybe D8? I forget), so once we had it hooked up, now it suddenly matters that you have more Total Power than Power Needed ;) Also the subsystem power requirements are being worked on to make it more realistic (such as a Jump Drive would take a TON of power to use, as opposed to a simple Sensor on a Cockpit etc.)
I hope that helps, and look forward to seeing those updated Workshop ships :)
ShadowMC Feb 15 @ 8:33am 
OK, thanks Kaypix!
Showing 1-4 of 4 comments
< >
Per page: 15 30 50